/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef DOCUMENTS_EXAMPLEHEADER_H_
#define DOCUMENTS_EXAMPLEHEADER_H_

// C++ header files
    // --- Add #includes here (use forward declarations if possible) --- //

#include <boost/noncopyable.hpp>

// Forward declarations
    // --- Add declarations (class SomeClass;) for non-oops classes here --- //
namespace oops {
    // --- Add declarations (class SomeOopsClass;) for oops classes here --- //
}

namespace oops {

  /// Doxygen brief comment. One line only. The comment must start with ///
  /*!
   *  Replace this comment block with longer documentation that describes
   *  the function of the class. The comment will be processed by doxygen
   *  and included in the documentation. Member functions should be documented
   *  where they are declared (e.g. the makeTea function below).
   */

  class Example : private boost::noncopyable {
   public:

  // -- Constructors
    Example();

  // -- Destructor
    ~Example()

  // -- Methods

  /// makeTea takes an argument indicating the number of teabags to be used.
    void makeTea(const int);

   private:
  // -- Members

  // -- Overridden methods
  };

}  // namespace oops
#endif  // DOCUMENTS_EXAMPLEHEADER_H_
