# Architecture specific settings for Mac OS X.

CXX      := g++
CXXFLAGS := -g -DCHECK_ASSERTS -Wall -Wextra -I/usr/include/libxml2

FC       := gfortran
FCFLAGS  := -g -c -DCHECK_ASSERTS -Wall -Wextra -Wconversion

CC       := gcc
CCFLAGS  := -g -DCHECK_ASSERTS -Wall -Wextra

LD       := g++
LDFLAGS  := -pg
LDLIBS   := -lgfortran -llapack -lblas -lxml2 -lm -lc

LIBTEST  := -L/opt/local/lib -lboost_unit_test_framework-mt

# xlf (IBM/AIX), ifort (Intel/Linux) (and others) always produce a lower-case module name
#
MODNAME  = $(shell echo $(*F) | tr "[:upper:]" "[:lower:]")
MODEXT   := mod

XARGSFLAGS := 

