XML2CONFIG := xml2-config

CXX      := xlC_r
CXXFLAGS := -qarch=pwr6 -g -O0 -qstrict -qrtti -DCHECK_ASSERTS -I/usr/local/apps/boost/current/include $(shell $(XML2CONFIG) --cflags) -DRS6K

CC       := xlc_r
CCFLAGS  := -g -DCHECK_ASSERTS $(shell $(XML2CONFIG) --cflags) -DRS6K

FC := xlf90_r
FCFLAGS  :=  -qxflag=dealloc_cfptr -qextname -qdpc=e \
             -qarch=pwr6 -g -O0 -WF,-DRS6K -WF,-DCHECK_ASSERTS
# -O3 -qstrict
# Add -qinitauto=7FF7FFFF -C to check for use of noninit

LD       := xlC_r
LDFLAGS  := -brtl -b64 -bbigtoc -bmaxstack:0x8000000000 -bloadmap:loadmap -bmap:loadmap

LIBTEST  := -L/usr/local/apps/boost/current/lib -lboost_unit_test_framework
LIBLAPACK := -L/usr/local/apps/lapack/3.1.1/LP64 -llapack -lblas

LDLIBS   := $(shell $(XML2CONFIG) --libs) $(EC_FORTRAN_TO_CLIB_R)

# xlf (IBM/AIX), ifort (Intel/Linux) (and others) always produce a lower-case module name
#
MODNAME  = $(shell echo $(*F) | tr "[:upper:]" "[:lower:]")
MODEXT   := mod

XARGSFLAGS :=

