!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Delete the QG model

subroutine c_qg_delete(c_config) bind (c,name='qg_delete_f90')

use qg_configs
use iso_c_binding

implicit none
type(c_ptr), intent(inout) :: c_config !< Pointer to configuration structure
type(qg_config), pointer :: config

! ------------------------------------------------------------------------------

call c_f_pointer(c_config,config)
deallocate(config%rs)
deallocate(config)

! ------------------------------------------------------------------------------
return
end subroutine c_qg_delete
