!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Delete for the QG model's 3d error covariance matrices

subroutine qg_3d_covar_delete(c_config)

use iso_c_binding
use qg_3d_covar_configs

implicit none
type(c_ptr), intent(inout) :: c_config !< The model covariance structure

type(qg_3d_covar_config), pointer :: config !< covar structure

! ------------------------------------------------------------------------------

call c_f_pointer(c_config,config)

deallocate(config%sqrt_zonal)
deallocate(config%sqrt_merid)
deallocate(config%sqrt_inv_merid)
deallocate(config)

! ------------------------------------------------------------------------------

end subroutine qg_3d_covar_delete
