/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_NULLOBSAUX_H_
#define OOPS_BASE_NULLOBSAUX_H_

#include "util/Config.h"

namespace oops {

/// Class to handle no observation parameters.

class NullObsAux {
 public:
  NullObsAux() {}
  explicit NullObsAux(const util::Config &) {}
  NullObsAux(const NullObsAux &, const NullObsAux &, const util::Config &) {}
  ~NullObsAux() {}
};

}  // namespace oops

#endif  // OOPS_BASE_NULLOBSAUX_H_
