/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_IDENTITYMATRIX_H_
#define UTIL_IDENTITYMATRIX_H_

namespace oops {

/// Identity matrix
template<typename VECTOR>
class IdentityMatrix {
 public:
  void multiply(const VECTOR & a, VECTOR & b) const {b = a;}
};

}  // namespace oops

#endif  // UTIL_IDENTITYMATRIX_H_
