!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!> Abort function

!> Prints an error message and stops the execution.

subroutine abor1_ftn(cderror)
use ISO_C_BINDING
use ftn_c_string_conversion
implicit none

character(len=*), intent(in) :: cderror !< The error message

character(kind=C_CHAR,len=1), allocatable :: c_string(:)

interface
  subroutine abor1_cpp(str) BIND(C,NAME='abor1_cpp_')
    use ISO_C_BINDING
    implicit none
    character(kind=C_CHAR, len=1), intent(in) :: str(*)
  end subroutine abor1_cpp
end interface

allocate(c_string(len(cderror)+1))
c_string = ftn_to_c_string(cderror)

call abor1_cpp(c_string)
call exit(1) ! just in case!!!

end subroutine abor1_ftn
