/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "util/asser1.h"

#include <cstdlib>
#include <string>

#include "logger/Logger.h"
#include "util/abor1_cpp.h"

namespace util {

void asser1(const std::string & cderror, const std::string & file,
            const int line) {
  LOG(Fatal) << "ASSERT( " << cderror << " ) failed";
  LOG(Fatal) << "in file '" << file << "', line " << line;
  abor1_cpp("Assert failed");
}

}  // namespace util
