/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef UTIL_DOT_PRODUCT_H_
#define UTIL_DOT_PRODUCT_H_

/// Syntactic sugar to let us use a more mathematical notation for dot products.

template<class T>
inline
double dot_product(const T& x, const T& y) {
  return x.dot_product_with(y);
}

#endif  // UTIL_DOT_PRODUCT_H_
