# Architecture specific settings for 32-bit Linux systems at CERFACS.

CXX      := g++
CXXFLAGS := -g -I. -I$(SRCDIR)/Base -I$(SRCDIR)/ODB -I$(SRCDIR)/Utility -DCHECK_ASSERTS

#  -D_GLIBCXX_DEBUG    # use this flag to bounds check STL containers

FC       := gfortran
FCFLAGS  := -g -c -DCHECK_ASSERTS -Wall -Wextra -Wconversion

CC       := gcc
CCFLAGS  := -g -DCHECK_ASSERTS

LD       := g++
LDFLAGS  := 
LDLIBS   := -lgfortran -lxml2

# xlf (IBM/AIX), ifort (Intel/Linux) (and others) always produce a lower-case module name
#
MODNAME  = $(shell echo $(*F) | tr "[:upper:]" "[:lower:]")
MODEXT   := mod

XARGSFLAGS := -r

