/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "logger/Logger.h"
#include "oops/runs/MakeObs.h"

#include "lorenz95/L95Traits.h"
#include "lorenz95/RunL95.h"

int main(int argc, char ** argv) {
  lorenz95::RunL95< oops::MakeObs<lorenz95::L95Traits> > run;
  run.execute(argc, argv);
  LOG(Info) << "End of main";
  return 0;
};

