/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef QG_MAINS_RUNQG_H_
#define QG_MAINS_RUNQG_H_

#include "oops/runs/Run.h"

extern "C" {
  void set_err_trap_();
}

namespace qg {

/*!
 *  RunQg encapsulates one QG OOPS run.
 */

template<typename TASK> class RunQg : public oops::Run<TASK> {
 public:
  RunQg() {set_err_trap_();}
  ~RunQg() {}
};

}  // namespace qg
#endif  // QG_MAINS_RUNQG_H_
