/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#include "model/QgTraits.h"
#include "oops/base/ModelSpaceCovariance.h"
#include "oops/base/StaticCovariance.h"

typedef qg::QgTraits             QG;
typedef oops::StaticCovariance  <QG>  COV;

template class oops::CovarianceFactory<QG>;

static oops::CovarMaker<QG, COV> makerCOV_("QgError");

namespace qg {
  void loadCovarFactory() {}
}
