/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef LOGGER_FTN_LOGGER_H_
#define LOGGER_FTN_LOGGER_H_

namespace logger {

// -----------------------------------------------------------------------------
// Fortran-callable interface to Logger.
// -----------------------------------------------------------------------------

  extern "C" {
    void ftn_logger(const char[], const int &);

    bool ftn_logger_lookup(const char[], int &);
  }
}  // namespace
#endif  // LOGGER_FTN_LOGGER_H_
