/*
* Copyright 2011 ECMWF
* 
* This software was developed at ECMWF for evaluation
* and may be used for academic and research purposes only.
* The software is provided as is without any warranty.
* 
* This software can be used, copied and modified but not
* redistributed or sold. This notice must be reproduced
* on each copy made.
*/

#ifndef OOPS_BASE_GENERALIZEDDEPARTURE_H_
#define OOPS_BASE_GENERALIZEDDEPARTURE_H_

namespace oops {

/// Abstract base class for quantities
/*!
 *  The purpose of this class is to give a generic type to quantities
 *  measured by the cost function to gather them in a DualVector object.
 */

class GeneralizedDeparture {
 public:
  GeneralizedDeparture() {}
  virtual ~GeneralizedDeparture() {}
};

}  // namespace oops

#endif  // OOPS_BASE_GENERALIZEDDEPARTURE_H_
