!
! Copyright 2011 ECMWF
! 
! This software was developed at ECMWF for evaluation
! and may be used for academic and research purposes only.
! The software is provided as is without any warranty.
! 
! This software can be used, copied and modified but not
! redistributed or sold. This notice must be reproduced
! on each copy made.
!

!>  Define interface for C++ duration code called from Fortran

!-------------------------------------------------------------------------------
interface
!-------------------------------------------------------------------------------
type(c_ptr) function duration_construct_f(str) bind(C,name='duration_construct_f')
  use iso_c_binding
  implicit none
  character(kind=C_CHAR, len=1), intent(in) :: str(*)
end function duration_construct_f
!-------------------------------------------------------------------------------
subroutine duration_destruct_f(ptr) bind(C,name='duration_destruct_f')
  use iso_c_binding
  implicit none
  type(c_ptr), value :: ptr
end subroutine duration_destruct_f
!-------------------------------------------------------------------------------
subroutine duration_string_f(ptr,c_string) bind(C,name='duration_string_f')
  use iso_c_binding
  implicit none
  type(c_ptr), value :: ptr
  character(kind=C_CHAR,len=1), intent(out), dimension(21) :: c_string
end subroutine duration_string_f
!-------------------------------------------------------------------------------
subroutine duration_real_f(ptr,zz) bind(C,name='duration_real_f')
  use iso_c_binding
  implicit none
  type(c_ptr), value :: ptr
  real(c_double), intent(out) :: zz
end subroutine duration_real_f
!-------------------------------------------------------------------------------
end interface
!-------------------------------------------------------------------------------
